<?php
/**
 * Bootstrap.
 *
 * @package MadeByAura\Prime
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\YoastSeo;

use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();
use MadeByAura\Prime\Helpers\Assorted;

/**
 * Bootstrap.
 */
class Bootstrap {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Do not proceed if the plugin is not active.
		if ( ! Assorted::is_plugin_active( 'wordpress-seo/wp-seo.php' ) ) {
			return;
		}

		// Hooks.
		Hooks\Metabox::init();
	}
}
